<div class="sub-ibox-filter">

   <div id="account-filter-body" class="collapse show">

      <div class="p-2">

         <form [formGroup]="formGroup" (ngSubmit)="onSubmit()" appFocusInvalidInput autocomplete="off">

            <div class="row">

               <div class="col-md-2 mt-3">
                 <ngx-select [items]="accountTypeList" [optionValueField]="'code'" [optionTextField]="'label'"
                             formControlName="accountType" [placeholder]="'FIELD.COMPTE_TYPE'|translate" size='small'
                             [ngClass]="{'disabled': formGroup.get('accountType').disabled}">
                 </ngx-select>

                  <div *ngIf="formGroup.get('accountType').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('accountType').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                  </div>
               </div>

              <ng-container *ngIf="formGroup.get('accountType')?.value=== 'PM'">
                <div class="col-md-2 mt-3">
                  <input type="text" class="form-control form-control-sm" formControlName="socialReason"
                         placeholder="{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}">

                  <div *ngIf="formGroup.get('socialReason').invalid && showValidationsMsg">
                    <div *ngIf="formGroup.get('socialReason').errors.required" class="text-danger">
                      <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                    </div>
                  </div>
                </div>
              </ng-container>

               <ng-container *ngIf="formGroup.get('accountType')?.value === 'PP'">
                  <div class="col-md-2 mt-3">
                     <input type="text" class="form-control form-control-sm" formControlName="lastName"
                        pattern="[A-Za-z ]+" placeholder="{{'FIELD.COMPTE_PP.NOM'|translate}}">

                     <div *ngIf="formGroup.get('lastName').invalid && showValidationsMsg">
                        <div *ngIf="formGroup.get('lastName').errors.required" class="text-danger">
                           <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                        </div>
                        <div *ngIf="formGroup.get('lastName').errors.pattern" class="text-danger">
                           <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                        </div>
                     </div>
                  </div>
               </ng-container>

               <!-- date creation -->
               <div class="col-md-2 mt-3">
                  <input type="text" class="form-control form-control-sm" formControlName="creationDate"
                     [owlDateTime]="dt" placeholder="{{'FIELD.COMPTE_PP.CREATE_DATE'|translate}}">
                  <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                     [title]="'FIELD.PLEASE.SELECT'|translate">
                     <i class="ri-calendar-line"></i>
                  </span>
                  <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>

                  <div *ngIf="formGroup.get('creationDate').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('creationDate').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                  </div>
               </div>
               <!-- phone -->

               <div class="col-md-2 mt-3">
                  <input type="text" class="form-control form-control-sm" formControlName="phoneNumber"
                     pattern="[0-9\+ ]+" placeholder="{{'FIELD.COMPTE_PM.PHONE'|translate}}">

                  <div *ngIf="formGroup.get('phoneNumber').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('phoneNumber').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                     <div *ngIf="formGroup.get('phoneNumber').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_MOBILE'|translate}}</small>
                     </div>
                  </div>
               </div>

            </div>


            <div class="row ">
               <!-- operateur_saisie -->
               <div class="col-md-2 mt-3">
                  <ngx-select [items]="gestionnaireList" [optionValueField]="'value'" [optionTextField]="'value'"
                     formControlName="operateur_saisie" [placeholder]="'FIELD.COMPTE_PM.GESTIONNAIRE'|translate"
                     size='small' ngDefaultControl>
                  </ngx-select>

                  <div *ngIf="formGroup.get('operateur_saisie').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('operateur_saisie').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                  </div>
               </div>

               <ng-container *ngIf="formGroup.get('accountType')?.value?.code === 'PP'">
                  <div class="col-md-2 mt-3">
                     <input type="text" class="form-control form-control-sm" formControlName="firstName"
                        pattern="[A-Za-z ]+" placeholder="{{'FIELD.COMPTE_PP.PRENOM'|translate}}">

                     <div *ngIf="formGroup.get('firstName').invalid && showValidationsMsg">
                        <div *ngIf="formGroup.get('firstName').errors.required" class="text-danger">
                           <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                        </div>
                        <div *ngIf="formGroup.get('firstName').errors.pattern" class="text-danger">
                           <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                        </div>
                     </div>
                  </div>
               </ng-container>

               <div class="col-md-2 mt-3">
                  <ngx-select [items]="countryList" [optionValueField]="'code'" [optionTextField]="'value'"
                     formControlName="country" [placeholder]="'FIELD.COMPTE_PP.PAYS_RESIDENCE'|translate" size='small'
                     ngDefaultControl>
                  </ngx-select>

                  <div *ngIf="formGroup.get('country').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('country').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                  </div>
               </div>

               <div class="col-md-2 mt-3">
                  <input type="text" class="form-control form-control-sm" formControlName="city" pattern="[A-Za-z ]+"
                     placeholder="{{'FIELD.COMPTE_PP.VILLE'|translate}}">

                  <div *ngIf="formGroup.get('city').invalid && showValidationsMsg">
                     <div *ngIf="formGroup.get('city').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                     </div>
                     <div *ngIf="formGroup.get('city').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                     </div>
                  </div>
               </div>


               <div class=" col-md-2 buttons-oriontation text-left mt-3 ">
                  <button type="button" class="reset-button buttons-oriontation btn  btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                     (click)="initFormGroup(); onSubmit()"><i class="ri-arrow-go-back-line"></i></button>
                  <button type="submit" class="submit-button btn  btn-sm" [title]="'FIELD.BUTTONS.SEARCH'|translate"><i
                        class="ri-search-2-line"></i></button>
               </div>

            </div>

         </form>

      </div>

   </div>

</div>
